Subject: Re: bug#16736: Compiling a Lisp file causes display to flash off and on

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Feb 2014 23:04:18 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 16 Feb 2014 14:48:10 -0500
> 
> Eli Zaretskii wrote:
> 
> >> I put a break on x_clear_frame, and with emacs -Q, byte-compile-file on
> >> scheme.el triggers it.
> >
> > Can you show a backtrace from that breakpoint?
> 
> Easy enough.
> 
> #0  x_clear_frame (f=0x11cd8b8) at xterm.c:2909
> #1  0x00000000004ece00 in clear_frame (f=0x11cd8b8) at terminal.c:140
> #2  0x0000000000417f8f in redraw_frame (f=0x11cd8b8) at dispnew.c:2955
> #3  0x0000000000448e4d in clear_garbaged_frames () at xdisp.c:10935
> #4  0x0000000000448fb9 in echo_area_display (update_frame_p=1) at xdisp.c:10979
> #5  0x000000000044703a in message3_nolog (m=14191025) at xdisp.c:9987
> #6  0x0000000000446de9 in message3 (m=14191025) at xdisp.c:9929
> #7  0x00000000005b560f in Fmessage (nargs=3, args=0x7fffffff8338)
>     at editfns.c:3452

Thanks.  This clearly shows that the frame was marked as "garbaged",
which naturally requires its complete redrawing.

The question now becomes why it is marked garbaged.  It's possible
that the change in change_frame_size_1 is the reason, because the code
in that function does just that.

> I don't have time to look into the rest of the things you asked right
> now.

I hope you will some time soon, as I think we are zeroing in on the
culprit.

Thanks.